From dd893cb2b646fd9d372a8ef88ca4e6f7c87c376d Mon Sep 17 00:00:00 2001
From: Peter Eisentraut <peter_e@gmx.net>
Date: Wed, 16 Aug 2017 00:22:32 -0400
Subject: [PATCH 3/8] Remove TRUE and FALSE

Code should be using true and false.  Existing code can be changed to
those in a backward compatible way.
---
 src/include/c.h | 12 ++----------
 1 file changed, 2 insertions(+), 10 deletions(-)

diff --git a/src/include/c.h b/src/include/c.h
index 9066e3c578..9472afd8b9 100644
--- a/src/include/c.h
+++ b/src/include/c.h
@@ -27,7 +27,7 @@
  *	  -------	------------------------------------------------
  *		0)		pg_config.h and standard system headers
  *		1)		hacks to cope with non-ANSI C compilers
- *		2)		bool, true, false, TRUE, FALSE, NULL
+ *		2)		bool, true, false, NULL
  *		3)		standard system types
  *		4)		IsValid macros for system types
  *		5)		offsetof, lengthof, endof, alignment
@@ -184,7 +184,7 @@
 #endif
 
 /* ----------------------------------------------------------------
- *				Section 2:	bool, true, false, TRUE, FALSE, NULL
+ *				Section 2:	bool, true, false, NULL
  * ----------------------------------------------------------------
  */
 
@@ -213,14 +213,6 @@ typedef char bool;
 
 typedef bool *BoolPtr;
 
-#ifndef TRUE
-#define TRUE	1
-#endif
-
-#ifndef FALSE
-#define FALSE	0
-#endif
-
 /*
  * NULL
  *		Null pointer.
-- 
2.14.1

